# ComponentSelectionDescriptor

interface ComponentSelectionDescriptor

A component selection description, which wraps a cause with an optional custom description.

#### Since

4.6

## Functions

getCause
Link copied to clipboard
abstract fun getCause(): ComponentSelectionCause
Returns the cause associated with this descriptor
getDescription
Link copied to clipboard
abstract fun getDescription(): String
Returns a description for the selection.